import { Jsonified } from '@tangential/core';
import { BooleanType, BooleanTypeIF } from '../../data-type/boolean/boolean-type';
import { InputConfig, InputConfigJson } from '../../input-config';
export interface CheckboxConfigIF extends InputConfigJson {
    labelPosition?: 'before' | 'after';
    typeConfig?: BooleanTypeIF;
}
export declare class CheckboxWidgetConfig extends InputConfig implements Jsonified<CheckboxWidgetConfig, CheckboxConfigIF>, CheckboxConfigIF {
    static $model: CheckboxConfigIF;
    static INPUT_NAME: string;
    labelPosition: 'before' | 'after';
    disabled: boolean;
    typeConfig: BooleanType;
    constructor(config?: CheckboxConfigIF, key?: string);
    getDemoInstance(): InputConfigJson;
}
