import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { DateTimeIval } from '../../data-type/date-time/date-time-ival';
import { InputViewMode } from '../../support/input-view-mode';
import { InputTemplateIF } from '../../support/template-components/input-template-component/input-template.component';
import { DateTimeInputConfig } from './date-time-input-config';
import * as i0 from "@angular/core";
export declare class DateTimeTemplateComponent implements OnInit, InputTemplateIF {
    private changeDetectorRef;
    config: DateTimeInputConfig;
    ival: DateTimeIval;
    mode: InputViewMode;
    change: EventEmitter<any>;
    viewModes: {
        CONFIGURE: InputViewMode;
        EDIT: InputViewMode;
        PREVIEW: InputViewMode;
        VIEW: InputViewMode;
    };
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateTimeTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateTimeTemplateComponent, "ng-component", never, { "config": "config"; "ival": "ival"; "mode": "mode"; }, { "change": "change"; }, never, never, false>;
}
