import { Jsonified } from '@tangential/core';
import { TextType, TextTypeIF } from '../../data-type/text/text-type';
import { InputConfig, InputConfigJson } from '../../input-config';
export interface TextInputConfigIF extends InputConfigJson {
    labelPosition?: 'before' | 'after' | 'below';
    disabled?: boolean;
    typeConfig?: TextTypeIF;
}
export declare class TextInputConfig extends InputConfig implements Jsonified<TextInputConfig, TextInputConfigIF>, TextInputConfigIF {
    static $model: TextInputConfigIF;
    static INPUT_NAME: string;
    labelPosition: 'before' | 'after' | 'below';
    /** @todo: ggranum: Verify we need these fields (they already exist on superclass) */
    disabled: boolean;
    typeConfig: TextType;
    constructor(config?: TextInputConfigIF, key?: string);
    getDemoInstance(): InputConfigJson;
}
