import { MatDialogRef } from '@angular/material/dialog';
import { BehaviorSubject } from 'rxjs';
import { InputRegistry } from '../input-types-registry';
import { InputTemplateIF } from '../template-components/input-template-component/input-template.component';
import * as i0 from "@angular/core";
export declare class ChooseInputWidgetDialog {
    private _registry;
    dialogRef: MatDialogRef<ChooseInputWidgetDialog>;
    flexL: string;
    flexLA: string;
    _height: string;
    _width: string;
    mw: string;
    templates: InputTemplateIF[];
    filteredTemplates: InputTemplateIF[];
    filterSubject: BehaviorSubject<string>;
    constructor(_registry: InputRegistry, dialogRef: MatDialogRef<ChooseInputWidgetDialog>);
    private _filterWidgets;
    onFilterTextChange(filter: string): void;
    onWidgetClicked(inputTemplate: InputTemplateIF): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChooseInputWidgetDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChooseInputWidgetDialog, "choose-input-widget-dialog", never, {}, {}, never, never, false>;
}
