import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChange } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { InputConfig } from '../../input-config';
import { InputRegistry } from '../input-types-registry';
import { InputTemplateIF } from '../template-components/input-template-component/input-template.component';
import * as i0 from "@angular/core";
export declare class EditConfigurableWidgetComponent implements OnInit, OnChanges {
    private inputRegistry;
    private changeDetectorRef;
    dialog: MatDialog;
    inputConfig: InputConfig;
    inputConfigChange: EventEmitter<InputConfig>;
    inputNames: string[];
    inputTemplate: InputTemplateIF;
    constructor(inputRegistry: InputRegistry, changeDetectorRef: ChangeDetectorRef, dialog: MatDialog);
    ngOnInit(): void;
    ngOnChanges(changes: {
        inputConfig: SimpleChange;
    }): void;
    inputWidgetChange(newConfig: InputConfig): void;
    updateInputConfig(inputConfig: InputConfig): void;
    canChangeWidget(): boolean;
    showChooseInputDialog(): void;
    onTemplateChanged(template: InputTemplateIF): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditConfigurableWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditConfigurableWidgetComponent, "tanj-edit-configurable-widget", never, { "inputConfig": "inputConfig"; }, { "inputConfigChange": "inputConfigChange"; }, never, never, false>;
}
