import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { BooleanIval } from '../../data-type/boolean/boolean-ival';
import { InputViewMode } from '../../support/input-view-mode';
import { InputTemplateIF } from '../../support/template-components/input-template-component/input-template.component';
import { SlideToggleConfig } from './slide-toggle-widget-config';
import * as i0 from "@angular/core";
export declare class SlideToggleWidgetTemplateComponent implements OnInit, InputTemplateIF {
    private changeDetectorRef;
    flex: string;
    flexLayout: string;
    flexLayoutAlign: string;
    config: SlideToggleConfig | undefined;
    ival: BooleanIval;
    mode: InputViewMode;
    change: EventEmitter<any>;
    viewModes: {
        CONFIGURE: InputViewMode;
        EDIT: InputViewMode;
        PREVIEW: InputViewMode;
        VIEW: InputViewMode;
    };
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SlideToggleWidgetTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SlideToggleWidgetTemplateComponent, "tanj-slide-toggle-widget-template", never, { "config": "config"; "ival": "ival"; "mode": "mode"; }, { "change": "change"; }, never, never, false>;
}
